=== debian/changelog ===
hipblas-common (6.4.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Add d/upstream/metadata.

 -- Spaarsh Thakkar <spaarshthakkar11010@gmail.com>  Thu, 26 Jun 2025 11:50:23 +0000

hipblas-common (6.4.0-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1105114)

 -- Spaarsh Thakkar <spaarshthakkar11010@gmail.com>  Thu, 22 May 2025 16:55:41 +0530
