=== debian/control ===
Source: hipblas-common
Section: libs
Priority: optional
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Spaarsh Thakkar <spaarshthakkar11010@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 rocm-cmake,
Standards-Version: 4.7.2
Homepage: https://github.com/ROCm/hipBLAS-common
Vcs-Browser: https://salsa.debian.org/rocm-team/hipblas-common
Vcs-Git: https://salsa.debian.org/rocm-team/hipblas-common.git

Package: libhipblas-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: Header-only common library for hipBLAS and hipBLASLt
 hipBLAS-common is a header-only library that provides shared type definitions,
 enumerations, and constants for AMD's HIP-based BLAS
 libraries: hipBLAS and hipBLASLt. It is a build-time
 dependency for both libraries, ensuring consistent
 type definitions across them. This package contains
 no compiled binaries and is intended solely for use at compile time.
