=== debian/tests/control ===
Tests: build-tests
Depends: @, g++
