=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%rocm-@ANY_VERSION@%hipblas-common_$1.tar.xz%" \
https://api.github.com/repos/ROCm/hipBLAS-common/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/rocm-?@ANY_VERSION@ debian
