## hipblas-common 6.4.3

=== debian/changelog ===
hipblas-common (6.4.3-1~exp2) experimental; urgency=medium

  * Set watch file to v5

 -- Christian Bayle <bayle@debian.org>  Tue, 23 Sep 2025 00:09:44 +0200

hipblas-common (6.4.3-1~exp1) experimental; urgency=medium

  * Set experimental branch in gbp.conf
  * Add myself in uploaders

 -- Christian Bayle <bayle@debian.org>  Sun, 21 Sep 2025 21:38:07 +0200

hipblas-common (6.4.3-1) experimental; urgency=medium

  * Run wrap-and-sort.
  * debian/copyright: add myself.
  * debian/control: added myself.
  * debian/salsa-ci.yml: added. Variable set Experimental release.
  * New upstream version 6.4.2
  * debian/gbp.conf: added. Applied DEP14 git branch layout.
  * Releasing debian version 6.4.2-1~exp1.
  * New upstream version 6.4.3.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 17 Aug 2025 17:12:10 +0200
