=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
-Uploaders: Spaarsh Thakkar <spaarshthakkar11010@gmail.com>
+Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Spaarsh Thakkar <spaarshthakkar11010@gmail.com>,
+           Christian Bayle <bayle@debian.org>
 Rules-Requires-Root: no
-Build-Depends:
- debhelper-compat (= 13),
- cmake,
- rocm-cmake,
+Build-Depends: debhelper-compat (= 13), cmake, rocm-cmake
 Standards-Version: 4.7.2
 Homepage: https://github.com/ROCm/hipBLAS-common
 Vcs-Browser: https://salsa.debian.org/rocm-team/hipblas-common
@@ -17,8 +16,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Header-only common library for hipBLAS and hipBLASLt
  hipBLAS-common is a header-only library that provides shared type definitions,
  enumerations, and constants for AMD's HIP-based BLAS
