=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/ROCm/hipBLAS-common/releases?per_page=100
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/tarball/rocm-?@ANY_VERSION@
Filenamemangle: s%rocm-@ANY_VERSION@%hipblas-common_$1.tar.xz%
Searchmode: plain
