=== debian/changelog ===
hipblas-common (7.1.0-1) unstable; urgency=medium

  * Debian Build 

 -- Christian Bayle <bayle@debian.org>  Sat, 15 Nov 2025 15:14:02 +0100

hipblas-common (7.1.0-0ubuntu1~ppa1) resolute; urgency=medium

  * chore: New upstream version 7.1.0

 -- Igor Luppi <igor.luppi@canonical.com>  Thu, 06 Nov 2025 12:28:24 +0100

hipblas-common (6.4.3-1~exp2ubuntu1) questing; urgency=medium

  * d/control: update maintainer field

 -- Igor Luppi <igor.luppi@canonical.com>  Mon, 20 Oct 2025 17:50:16 -0300
