=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
            Spaarsh Thakkar <spaarshthakkar11010@gmail.com>,
-           Christian Bayle <bayle@debian.org>
+           Christian Bayle <bayle@debian.org>,
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, rocm-cmake
 Standards-Version: 4.7.2
